﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ReverseShortURL._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Reverse Those Short URLs </title>
    <%--<link href="style/style.css" rel="stylesheet" type="text/css" />--%>
    <link href="style.css" rel="stylesheet" type="text/css" />
    <script src="Scripts/jquery-1.4.1.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#btnGetURL").click(function () {
                if ($('#txtShortURL').val() != '') {
                    $("#longURLtxt").html(' ');
                    $('input[type=button]').attr('disabled', true);
                    $("#longURLtxt").addClass("loading");
                    $.ajax({
                        type: "POST",
                        url: "Default.aspx/ReverseShortURL",
                        data: "{'ShortURL': '" + $('#txtShortURL').val() + "'}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (msg) {
                            $("#longURLtxt").html('<b>Original/Long URL:</b> ' + '<a href="+' + msg.d + '">' + msg.d + '</a>');
                            $("#longURLtxt").removeClass("loading");
                            $('input[type=button]').attr('disabled', false);
                        }
                    });
                }
            });
        });

    </script>
</head>
<body>
    <form id="mainform" runat="server">
    <div>
        <table style="width: 100%;">
            <tr>
                <td id="tdText">
                    Enter Short URL
                </td>
                <td>
                    <asp:TextBox ID="txtShortURL" name="txtShortURL" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="tdText">
                </td>
                <td>
                    <input id="btnGetURL" type="button" value="Get Full URL" />
                </td>
            </tr>
            <tr>
                <td id="longURLtxt" colspan="2">
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
